# Devices: forceReportUpload

> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/devices/forceReportUpload#auth).

Uploads a report containing any changes in app states on the device since
the last report was generated. You can call this method up to 3 times every
24 hours for a given device.

## Request

### HTTP request

```
POST https://www.googleapis.com/androidenterprise/v1/enterprises/enterpriseId/users/userId/devices/deviceId/forceReportUpload
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `deviceId` | `string` | The ID of the device. |
| `enterpriseId` | `string` | The ID of the enterprise. |
| `userId` | `string` | The ID of the user. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns an empty response body.